Description

Currently the space between h2 and an avatar is not correct compared to the space between an avatar and a h3. You can see this

problem in the news section. The headline of a news detail view is closer to the avatar than the headline to the avatar on the news

index. This is due to a missing space. In addition to this discrepancy I have realized, that there is no need for negative margins for

the avatar in h2, and h3 headlines. The only reason I do see for an avatar to have a negative margin within a headline is the case of

a h4:

 h4.jpg 

I am attaching a patch series, which a) adds a space between the avatar and the text for h2 headline and b) removes negative

margins for avatar images within h2 and h3 headlines. The following images show the difference. Please note, that the difference

due to b) is visible in the vertical space to the text after the headline. Because the negative margins are removed the flow is more

natural as the baseline is not moved up by some pixels.
Associated revisions

Revision 16820 - 2017-07-16 13:51 - Jean-Philippe Lang

Add space between avatar and headline (#26424).

Patch by Felix Gliesche.

Revision 16821 - 2017-07-16 13:52 - Jean-Philippe Lang

Remove negative margin for avatar in h2 and h3 (#26424).

Patch by Felix Gliesche.

Revision 16822 - 2017-07-16 13:52 - Jean-Philippe Lang

Merged r16820 and r16821 (#26424).

History

#1 - 2017-07-13 13:35 - Go MAEDA

- Target version set to 3.4.2

#2 - 2017-07-16 13:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patches committed, thanks.

Files

h4.jpg 42.5 KB 2017-07-13 Felix Gliesche

h3-after.png 42.5 KB 2017-07-13 Felix Gliesche

h3-before.png 42.6 KB 2017-07-13 Felix Gliesche

h2-after.png 49.9 KB 2017-07-13 Felix Gliesche

h2-before.png 49.7 KB 2017-07-13 Felix Gliesche

0001-Add-space-between-avatar-and-headline.patch 849 Bytes 2017-07-13 Felix Gliesche

0002-Remove-negative-margin-for-avatar-in-h2-and-h3.patch 992 Bytes 2017-07-13 Felix Gliesche
